%define instdir /usr/share/vz-guest-tools

Summary: Virtuozzo Linux guest tools
Name: vz-guest-tools-bsd
Version: 7.19
Release: 20%{?dist}
Group: System Environment/Base
License: GPLv2
Source0: qemu-ga-13.1.tar.gz
Source1: qemu-ga-9.2.tar.gz
Source2: qemu-ga-12.4.tar.gz
Source3: virtio_console.ko
Source100: install
BuildArch: noarch
BuildRequires: genisoimage, coreutils

%description
Package contains ISO image with necessary guest tools for Linux.

%build
rm -rf %{name}/iso
mkdir -p %{name}/iso
for script in %{SOURCE100}; do
	cp $script %{name}/iso
done
echo '%{version}-%{release}' >%{name}/iso/VERSION

mkdir %{name}/iso/guest_pkgs

pushd %{name}/iso/guest_pkgs
mkdir -p freebsd-13 freebsd-9 freebsd-12
tar -xvf %{SOURCE0} -C freebsd-13
tar -xvf %{SOURCE1} -C freebsd-9
tar -xvf %{SOURCE2} -C freebsd-12

cp -fv %{SOURCE3} freebsd-9/
popd

genisoimage -graft-points -output %{name}.iso -volid vz-tools-bsd -joliet -rock \
		/guest_pkgs/=%{name}/iso/guest_pkgs \
		%{name}/iso/install* \
		%{name}/iso/VERSION

%install
mkdir -p %{buildroot}/%{instdir}
mv %{name}.iso %{buildroot}/%{instdir}

INSTALL_TOOLS_B64=`cat %{SOURCE1} | base64 -w 0 2>/dev/null`

echo %{version}-%{release} > %{buildroot}/%{instdir}/%{name}.ver

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/name

%files
%defattr(-,root,root,-)
%verify(not group) %{instdir}/*.iso
%{instdir}/%{name}.ver
